    001    /* ===========================================================
    002     * JFreeChart : a free chart library for the Java(tm) platform
    003     * ===========================================================
    004     *
    005     * (C) Copyright 2000-2008, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jfreechart/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * -----------------
    028     * DatasetGroup.java
    029     * -----------------
    030     * (C) Copyright 2002-2008, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   -;
    034     *
    035     * Changes
    036     * -------
    037     * 07-Oct-2002 : Version 1 (DG);
    038     * 26-Mar-2003 : Implemented Serializable (DG);
    039     * 20-Aug-2003 : Implemented Cloneable (DG);
    040     *
    041     */
    042
    043    package org.jfree.data.general;
    044
    045    import java.io.Serializable;
    046
    047    /**
    048     * A class that is used to group datasets (currently not used for any specific
    049     * purpose).
    050     */
    051    public class DatasetGroup implements Cloneable, Serializable {
    052
    053        /** For serialization. */
    054        private static final long serialVersionUID = -3640642179674185688L;
    055
    056        /** The group id. */
    057        private String id;
    058
    059        /**
    060         * Constructs a new group.
    061         */
    062        public DatasetGroup() {
    063            super();
    064            this.id = "NOID";
    065        }
    066
    067        /**
    068         * Creates a new group with the specified id.
    069         *
    070         * @param id  the identification for the group.
    071         */
    072        public DatasetGroup(String id) {
    073            if (id == null) {
    074                throw new IllegalArgumentException("Null 'id' argument.");
    075            }
    076            this.id = id;
    077        }
    078
    079        /**
    080         * Returns the identification string for this group.
    081         *
    082         * @return The identification string.
    083         */
    084        public String getID() {
    085            return this.id;
    086        }
    087
    088        /**
    089         * Clones the group.
    090         *
    091         * @return A clone.
    092         *
    093         * @throws CloneNotSupportedException not by this class.
    094         */
    095        public Object clone() throws CloneNotSupportedException {
    096            return super.clone();
    097        }
    098
    099        /**
    100         * Tests this instance for equality with an arbitrary object.
    101         *
    102         * @param obj  the object (<code>null</code> permitted).
    103         *
    104         * @return A boolean.
    105         */
    106        public boolean equals(Object obj) {
    107            if (obj == this) {
    108                return true;
    109            }
    110            if (!(obj instanceof DatasetGroup)) {
    111                return false;
    112            }
    113            DatasetGroup that = (DatasetGroup) obj;
    114            if (!this.id.equals(that.id)) {
    115                return false;
    116            }
    117            return true;
    118        }
    119
    120    }